Name: H5Tset_sign
Signature:
  herr_t `H5Tset_sign`(hid_t `type_id`, H5T_sign_t `sign` )
Purpose:
  Sets the sign property for an integer type.
Description:
  `H5Tset_sign` sets the sign property for an integer type.
  H5T_SGN_NONE (`0`)
    Unsigned integer type.
  H5T_SGN_2 (`1`)
    Two's complement signed integer type.
Parameters:

hid_t `type_id` | Identifier of datatype to set.
H5T_sign_t `sign` | Sign type.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tset_sign_f

      SUBROUTINE h5tset_sign_f(type_id, sign, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id
                                        ! Datatype identifier
        INTEGER, INTENT(IN) :: sign     ! Sign type for an integer type
                                        ! Possible values are:
                                        !    Unsigned integer type
                                        !       H5T_SGN_NONE_F = 0
                                        !    Two's complement signed integer type
                                        !       H5T_SGN_2_F = 1
                                        !    or error value
                                        !       H5T_SGN_ERROR_F=-1
        INTEGER, INTENT(OUT) :: hdferr  ! Error code
      END SUBROUTINE h5tset_sign_f